=== modified file 'NEWS'
--- NEWS	2006-07-10 20:30:06 +0000
+++ NEWS	2006-07-11 20:04:12 +0000
@@ -83,6 +83,9 @@
      Also updates things like 'http+pycurl://' if pycurl is not present.
      (John Arbash Meinel) (Malone #47821, #52204)
 
+   * Improve the help text for 'bzr diff' to explain what various options do.
+     (John Arbash Meinel, #6391)
+
   BUG FIXES:
 
     * Fix shadowed definition of TestLocationConfig that caused some 

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2006-07-04 15:04:11 +0000
+++ bzrlib/builtins.py	2006-07-11 20:04:12 +0000
@@ -1075,7 +1075,7 @@
 
 
 class cmd_diff(Command):
-    """Show differences in working tree.
+    """Show differences in the working tree or between revisions.
     
     If files are listed, only the changes in those files are listed.
     Otherwise, all changes for the tree are listed.
@@ -1085,11 +1085,17 @@
 
     examples:
         bzr diff
+            Shows the difference in the working tree versus the last commit
         bzr diff -r1
+            Difference between the working tree and revision 1
         bzr diff -r1..2
+            Difference between revision 2 and revision 1
         bzr diff --diff-prefix old/:new/
+            Same as 'bzr diff' but prefix paths with old/ and new/
         bzr diff bzr.mine bzr.dev
+            Show the differences between the two working trees
         bzr diff foo.c
+            Show just the differences for 'foo.c'
     """
     # TODO: Option to use external diff command; could be GNU diff, wdiff,
     #       or a graphical diff.

